AutoCAD .NET :: Create A Polyline With Invisible Segment?
Jun 21, 2011if it's possible to create a polyline with invisible segment.
View 4 Repliesif it's possible to create a polyline with invisible segment.
View 4 RepliesI want to draw triangle in segment of polyline in segment direction.
I have target segment and center point of it:
Polyline line = ...
LineSegment3d centerSegment = line.GetLineSegmentAt(centerSegmentIndex);
Point3d centerPosition = centerSegment.MidPoint;
I can find direction of this segment:
Vector3d zaDirection = line.GetLineSegmentAt(centerSegmentIndex).Direction;
Next, I create list of points:
List<Point3d> points = new List<Point3d>();
points.Add(centerPosition);
points.Add(centerPosition.Add(new Vector3d(ZASize, +ZASize, 0)));
points.Add(centerPosition.Add(new Vector3d(ZASize, -ZASize, 0)));
And draw it:
wd.Geometry.Polygon(new Point3dCollection(points.ToArray()));
Ok, I have triangle but... it's not in segment direction, it's X-direction.
I try to rotate it:
points.Add(centerPosition.Add(new Vector3d(ZASize, +ZASize, 0)).RotateBy(0, zaDirection, centerPosition));
But it's not the same as I want.
How I can draw triangle by serment direction?
I am basically looking for a way to get the length of each polylie segment in the overall polyline. Not the total length.
I then need to comapre these lengths. I guess I could do some math to get the values of the verticies, but is there a built in method to do this? how to get started?
I have to intersect polylines "POLYLINE" and "LWPOLINE" with a line and get all the angles of all segments of the polyline that are intersected.
To do this I used a loop that monitors all the vertices of each polyline to find the two vertices of the polyline segment that intersects the line. Unfortunately, these polylines have thousands of vertices and the processing done in this way takes too long.
With the vlax-curve-getClosestPointTo I could very quickly find the vertex of the polyline closest to that intersected with the line, but I need to find the other vertex of the polyline segment to determine the angle of this.
Another question: is there a quick function that returns the exact point of intersection of two curves (e.g. A line and a polyline, or a line and a circle?
I am writing a routine that will place a piece of text at a specified point along a polyline. My problem is to determine the angle for the text. It needs to be the same as the segment of the polyline that it falls on. Just can't get my head around how to get that angle?
I can get a list of the vertex point of the polyline, but how do I determine the segment the point falls on?
Our customer send us drawing with ellipse segments into.
With Autocad 2008 I bought a plug-in call SplineConvert that did the job perfectly but not compatible with 2013.
Is there any plugin that could replace that tool ?
Is there any standard ACAD command that could easily do this Job ?
I need a way to make 2 or 3 times per week this converting on all ellipses of large and detail 2D drawings so no time to offset in and out all those .
I try also DXFOUT in R12 but all the spline are being converted into 3d polyline making a huge files that froze my PC.
I also try FLATTEN but did not see how it work , the ellipse stay an ellipse.
Have Lisp to place aligned dimensions on each segment of a polyline?
I would use it for reinforcing bar detailing.
I need to create a 3D model of a segment of a jogging path/trail that has a drainage feature called a knick. I pasted a freehand drawing of what a knick looks like below this post. It's a semi-circular area that slopes to one side at a small angle on a trail that is otherwise flat. I need a model of a trail segment with two of these sloping indentations that is just a smooth, gray object- nothing fancy. I managed to create a simple 3D model for a second trail design that has a slope to one side throughout the trail- made a box with a tapered edge and rendered it gray.
Since to my eye a knick looks like a lemon wedge indented into the face of a box- that's what I've been working towards. Made a box, made a cylinder, moved the cylinder so half of its base sits on top of the box face on which I want the indentation, and then used pushpull and subtract to take out a shallow semi-circular cut off the top of the box (did two of these about 20 units apart on the same face).
Here is where I ran into my own limitations. I don't know how to taper the semicircular cut so that it actually slopes off the face to the edge and doesn't look like a clean cut depression. I need it to slope to the edge at a 2% angle. I've tried tapering many times, but I don't think I completely understand the concept of the tapering axis (or rather I know that I completely misunderstand it) because all I end up doing is tapering the various faces of the box and the knick cut stays the same. I also tried out all the tools on the ribbon that look like they can be used for filling in or smoothing edges, but without any luck. Or should I be approaching the process of making the knick from a completely different set of commands?
I'm trying to copy sheets from one dwg file to another in Inventor 2010. I get the error: "Named segment already exists: cannot create or rename". The sheet name is not listed in the target file. Why this error is occurring and how to fix it?
View 9 Replies View RelatedI need to create a 3D model of a segment of a jogging path/trail that has a drainage feature called a knick. I pasted a freehand drawing of what a knick looks like below this post. It's a semi-circular area that slopes to one side at a small angle on a trail that is otherwise flat. I need a model of a trail segment with two of these sloping indentations that is just a smooth, gray object- nothing fancy. I managed to create a simple 3D model for a second trail design that has a slope to one side throughout the trail- made a box with a tapered edge and rendered it gray.
Since to my eye a knick looks like a lemon wedge indented into the face of a box- that's what I've been working towards. Made a box, made a cylinder, moved the cylinder so half of its base sits on top of the box face on which I want the indentation, and then used pushpull and subtract to take out a shallow semi-circular cut off the top of the box (did two of these about 20 units apart on the same face).
I don't know how to taper the semicircular cut so that it actually slopes off the face to the edge and doesn't look like a clean cut depression. I need it to slope to the edge at a 2% angle. I've tried tapering many times, but I don't think I completely understand the concept of the tapering axis because all I end up doing is tapering the various faces of the box and the knick cut stays the same. I also tried out all the tools on the ribbon that look like they can be used for filling in or smoothing edges, but without any luck. Should I be approaching the process of making the knick from a completely different set of commands?
I would like to know how to draw segment elbow 90 degrees ( segments are not equal ) and create Flat Pattern for each of the segments - using sheetmetal in Autodesk Inventor?
View 9 Replies View RelatedHow can I remove all of the eclipse, except for the segment that creates a traingle with a curved side.
View 2 Replies View RelatedFlow segment label using total Flow Type travel time for each segment:
C3D 2014 SP1
W7x64; i7 8gb; Radeon HD 5700
[URL]....
Press/pull has been working fine up until now. When I try to press/pull a boundary, it creates an invisible extrusion rather than cutting into the object.
View 3 Replies View Relatedhow to create a segmented circle as shown in the attached image. I have it as a jpg but I want to create it in Illustrator so I can have greater control over the parts. For example, while the image shows three segments, I may have to add another one into the image (it's part of a process demo).
View 7 Replies View RelatedUsing pen tool I have to press Alt + click again at the node while drawing to create a cusp node.
My method is - Select Pen tool - left click for first node and drag to achieve desired curved segment - release mouse button - press again left click for second node at desired position and drag control handle to create desired curve - then Alt click at second node for cusp node - continue in this fashion for rest of the curved segments as shown in my example.
Is it possible to draw and edit control points for a cusp, smooth or symmetric node simultaneously in a single stretch while drawing curved segments with some other shortkey combinations but without pressing again S for smooth/symmetric or Alt click node for a cusp or F10 for edit later?
I'm trying to create an invisible mannequin look using the Cs6 free trial. The tutorials that are available are saying to use tools such as polygonal lasso and the background eraser which aren't available on the free trial. Is there a way around this?
View 5 Replies View RelatedI can add an outline with layer styles, but I want the outlines with no content inside them.
View 4 Replies View RelatedI'm trying to create (in 3D workspace), a 3D polyline which starts from the "ground" and goes up the Z axis for 45 units (meters for example), then, the polyline continues "up" but in a 45 degree inclination, and then it goes up further but still 45 degrees from the last segment.
I attached a picture of this to the post, the top line is the one I want to create, and the bottom one is what I get.
The thing is that the 3dpoly command doesn't let me set the line on the Z plane, unless I fix it in ortho mode, and even after I do the first segment that way, the next one stays fixed in either the Z plane or the XY plane, but not in the 45 degree between them that I want....
P.S. - when I click the 3d polyline command, there are no options in the command area, just "specify first point...." - is this what should appear?
As part of a larger job we have surveyed the top of a dry stone wall. The client now wants that we make a solid for him from the surveyed points with a height of 2000mm (the drawing units are in millimetres).
A 3d polyline was created from the lines joining the points and I have that in the attached drawing.
I'm not looking for someone to create the wall, but I'm looking for the method to do it, as it will certainly crop up again with this new client. I've tried many ways in both AutoCAD and Civil 3D but just can't create the solid.
I'm currently trying to use the draw > point > measure tool to create a set of points around a polyline but I can't seem to get them to start at a point that I want. When I try and create the points they start from a random place.
View 3 Replies View RelatedI'm trying to create a Solid 3d that is the extrusion solid af a closed polyline by a given height
I select the polyline that i do this
Solid3d s = new Solid3d();
s.CreateExtrudedSolid(selectedPolyline, new Vector3d(0, 0, 20), new SweepOptions());
but Autocad throw an Invalid Input exception.
I want to create points from the polyline to identify in the field. For example, I create a square for a concrete pad and I want to identify the corners of the pad.
View 4 Replies View Relatedi'm looking for polyline lisp. I type PLINE and type Width specify starting width is 0.0 next specify ending width is 90.0 and then i type 200mm for my distance then i choose again the Width to become 0.0 (starting and ending) then choose Arc. How to create lisp polyline?
View 1 Replies View RelatedAny way to create a polyline linetype that simulates a solid dashed with outer lines (drainage line)?
I could sort of do it with the multiline feature but not what we want. using 2011 civil3D
How to create a minimal DXF file that has polyline. I am using a C# program to create DXF File. Also if i want to hatch a closed polyline what might be the best way.
View 9 Replies View RelatedI've been going through some examples on [URL] to create polylines and i've managed to make some code run. One thing that I can't seem to find information on though, is how to use the default AutoCAD command line options in my code. For instance, I would like to be able to prompt the user whether they would like to snap the polyline to an insertion point, everytime they create a new verticie.
Below is some example code from the site that i'm working from:
namespace MyPlineApp
{
public class MyPlineCmds
[Code].....
How do I go about extruding an open polyline to create a surface? I am able to extrude a solid 3d from a closed polyline ( by creating a region first) but I cant find a way to do the same for surfaces.The autodesk.autocad.databaseservices.Surface class does not have an extrude method unlike the its solid3d equivalent. I am using autocad 2012 .
View 1 Replies View RelatedI want to create a command:
My selection set consists of dbpoints that exists on my drawing and they are more or less in line
I create a new point3dcollection with this db points
I want to create a 3d polyline based on this point3d collection
My problem is : how to sort this point3d collection based on a picked start point and picked end point?
The only idea I have is:
from start point i calculate the distance to each point3d from collection and based on the results i sort the point3d collection based on distances.
I want to create a 3d ployline from a 2d polyline with curves. When I use the convert 2d polyline to 3d polyline command it places a bunch of vertices along the curve so when I go to place elevations on the vertices it takes too long. I want to be able to give an elevation at the pc and pt and have it place elevations along the curve from this info like it does on the stright lines.
View 6 Replies View RelatedI have been sent a client's construction drawing for a care home where i need to design the sprinkler installation. The majority of the rooms have got the same head positions within them, but they have all got a slightly different angle as the building is shaped like a banana. Unfortunately its not a uniform radius that i can tell as the one side is larger than the other.
So my question is this. Normally, on a square building, I drop in construction lines along the bedrooms so that i know my sprinkler heads are all the same distance off a wall, and I only need to line up one side. However, with this building being a curve, and the wall angle being slightly different on each room, how do I place an angled construction line or polyline to act as my set out line for my heads.